org.springframework.cloud.dataflow.rest.client

## Class JobTemplate

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.client.JobTemplate

- All Implemented Interfaces:
    JobOperations

      public class JobTemplate
      extends Object
      implements JobOperations

  Implementation for `JobOperations`.
  Author:
    Glenn Renfro

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.hateoas.PagedModel<JobExecutionResource>` | `executionList()`
    `org.springframework.hateoas.PagedModel<JobExecutionResource>` | `executionListByJobName(String jobName)` List job executions known to the system filtered by job name.
    `void` | `executionRestart(long id)` Restarts a job by id
    `org.springframework.hateoas.PagedModel<JobExecutionThinResource>` | `executionThinList()`
    `org.springframework.hateoas.PagedModel<JobExecutionThinResource>` | `executionThinListByJobName(String jobName)` List job executions without step executions known to the system filtered by job name.
    `org.springframework.hateoas.PagedModel<JobInstanceResource>` | `instanceList(String jobName)`
    `JobExecutionResource` | `jobExecution(long id)` Return the `JobExecutionResource` for the id specified.
    `JobInstanceResource` | `jobInstance(long id)` Return the `JobInstanceResource` for the id specified.
    `org.springframework.hateoas.PagedModel<StepExecutionResource>` | `stepExecutionList(long jobExecutionId)` List step executions known for a specific job execution id.
    `StepExecutionProgressInfoResource` | `stepExecutionProgress(long jobExecutionId, long stepExecutionId)` Return StepExecutionProgressInfoResource for a specific job execution id and step execution Id.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### executionList

          public org.springframework.hateoas.PagedModel<JobExecutionResource> executionList()

      Specified by:
        `executionList` in interface `JobOperations`
      Returns:
        the list job executions known to the system.

    - #### executionRestart

          public void executionRestart(long id)

      Description copied from interface: `JobOperations`
      Restarts a job by id
      Specified by:
        `executionRestart` in interface `JobOperations`
      Parameters:
        `id` - job execution id

    - #### executionThinList

          public org.springframework.hateoas.PagedModel<JobExecutionThinResource> executionThinList()

      Specified by:
        `executionThinList` in interface `JobOperations`
      Returns:
        the list job executions without step executions known to the system.

    - #### instanceList

          public org.springframework.hateoas.PagedModel<JobInstanceResource> instanceList(String jobName)

      Specified by:
        `instanceList` in interface `JobOperations`
      Parameters:
        `jobName` - the name of the job
      Returns:
        the list job instances for the specified jobName.

    - #### executionThinListByJobName

          public org.springframework.hateoas.PagedModel<JobExecutionThinResource> executionThinListByJobName(String jobName)

      Description copied from interface: `JobOperations`
      List job executions without step executions known to the system filtered by job name.
      Specified by:
        `executionThinListByJobName` in interface `JobOperations`
      Parameters:
        `jobName` - of the executions.
      Returns:
        the list of job executions

    - #### executionListByJobName

          public org.springframework.hateoas.PagedModel<JobExecutionResource> executionListByJobName(String jobName)

      Description copied from interface: `JobOperations`
      List job executions known to the system filtered by job name.
      Specified by:
        `executionListByJobName` in interface `JobOperations`
      Parameters:
        `jobName` - of the executions.
      Returns:
        the list of job executions

    - #### jobExecution

          public JobExecutionResource jobExecution(long id)

      Description copied from interface: `JobOperations`
      Return the `JobExecutionResource` for the id specified.
      Specified by:
        `jobExecution` in interface `JobOperations`
      Parameters:
        `id` - identifier of the job execution
      Returns:
        `JobExecutionResource`

    - #### jobInstance

          public JobInstanceResource jobInstance(long id)

      Description copied from interface: `JobOperations`
      Return the `JobInstanceResource` for the id specified.
      Specified by:
        `jobInstance` in interface `JobOperations`
      Parameters:
        `id` - identifier of the job instasnce
      Returns:
        `JobInstanceResource`

    - #### stepExecutionList

          public org.springframework.hateoas.PagedModel<StepExecutionResource> stepExecutionList(long jobExecutionId)

      Description copied from interface: `JobOperations`
      List step executions known for a specific job execution id.
      Specified by:
        `stepExecutionList` in interface `JobOperations`
      Parameters:
        `jobExecutionId` - the id of the job execution.
      Returns:
        the paged list of step executions

    - #### stepExecutionProgress

          public StepExecutionProgressInfoResource stepExecutionProgress(long jobExecutionId,
                                                                         long stepExecutionId)

      Description copied from interface: `JobOperations`
      Return StepExecutionProgressInfoResource for a specific job execution id and step execution Id.
      Specified by:
        `stepExecutionProgress` in interface `JobOperations`
      Parameters:
        `jobExecutionId` - the id of the job execution for the step to be returned.
        `stepExecutionId` - the id step execution to be returned.
      Returns:
        the step execution progress info

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.